%global git_date 20130606
%global git_version c69060

Name:           python-modargs
Version:        1.7
Release:        2.%{git_date}git%{git_version}%{?dist}
Summary:        A CLI library that infers arguments from functions in a module

License:        BSD 
URL:            http://pypi.python.org/pypi/%{name}

# git clone https://gitorious.org/python-modargs python-modargs
# cd python-modargs
# git archive --format=tar HEAD | xz  > {name}-{version}.{git_date}git{git_version}.tar.xz

Source0:   %{name}-%{version}.%{git_date}git%{git_version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-setuptools
BuildRequires:  python2-devel

%description
This project is a simple command line argument parser that tries to
do as much as it can dynamically so that you don't have to specify
options and arguments with tons of code, and instead just write a
couple of modules with specially formatted functions.  It does this
with magic, by inspecting the modules you tell it to load and looking
for the right functions.

%prep
%setup -q -cn %{name}-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%check
%{__python} setup.py test

%files
%doc LICENSE README.md
%{python_sitelib}/modargs
%{python_sitelib}/python_modargs-%{version}-*.egg-info/*


%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-2.20130606gitc69060
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jun 06 2013 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 1.7-1.20130606gitc69060
- Initial spec
